Invoke a Tool (async)post {protocol}://{base-url}/ai/api/v1/chats/tool/{tool_config_id}/callInvoke a custom tool as a background task.Path Paramstool_config_idstringrequiredThe ID of the Tool Config to use.Query Paramschat_idstringnullThe ID of the Chat to use. If not provided, a new Chat will be created.tagsarray | nullIf creating a new chat, add these tags to it. This is ignored if the chat already exists.Tags array | nullBody ParamsThe payload to be sent to the tool. Must conform to the tool's input_parameter_schema.Add FieldHeadersacceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/event-streamAllowed:application/jsontext/event-streamResponses 201Message sent successfully. Returns an event stream of Message objects. 204The message is empty and was ignored. 401Authentication required. No valid session cookie or bearer token provided, or authentication failed. 402Tenant has no remaining tool calls. The request cannot be completed. 404Resource not found. The detail field specifies which resource. 409Chat is busy. Returns an event stream of the running chat. 413The payload exceeds the model's context window. 422The payload is not valid according to the input JSON schema of the agent. 500Internal server error during request processing.Updated 3 days ago Invoke a Tool (streaming)ConfigDid this page help you?YesNo